net.sf.jasperreports.engine.design

## Class JRDesignLine

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElement
  - - net.sf.jasperreports.engine.design.JRDesignElement
    - - net.sf.jasperreports.engine.design.JRDesignGraphicElement
      - - net.sf.jasperreports.engine.design.JRDesignLine

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRChild, JRCloneable, JRCommonElement, JRCommonGraphicElement, JRElement, JRGraphicElement, JRIdentifiable, JRLine, JRPenContainer, JRPropertiesHolder, JRStyleContainer, JRVisitable

      public class JRDesignLine
      extends JRDesignGraphicElement
      implements JRLine

  The actual implementation of a graphic element representing a straight line, used at design time.
  Version:
    $Id: JRDesignLine.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LineDirectionEnum` | `directionValue`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignGraphicElement

      `fillValue, linePen`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElement

      `PROPERTY_ELEMENT_GROUP, PROPERTY_HEIGHT, PROPERTY_KEY, PROPERTY_PARENT_STYLE, PROPERTY_PARENT_STYLE_NAME_REFERENCE, PROPERTY_PRINT_WHEN_EXPRESSION, PROPERTY_PRINT_WHEN_GROUP_CHANGES, PROPERTY_PROPERTY_EXPRESSIONS, PROPERTY_Y`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `backcolor, defaultStyleProvider, elementGroup, forecolor, height, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, key, modeValue, parentStyle, parentStyleNameReference, positionTypeValue, printWhenExpression, printWhenGroupChanges, PROPERTY_POSITION_TYPE, PROPERTY_PRINT_IN_FIRST_WHOLE_BAND, PROPERTY_PRINT_REPEATED_VALUES, PROPERTY_PRINT_WHEN_DETAIL_OVERFLOWS, PROPERTY_REMOVE_LINE_WHEN_BLANK, PROPERTY_STRETCH_TYPE, PROPERTY_WIDTH, PROPERTY_X, stretchTypeValue, uuid, width, x, y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignLine()`
    `JRDesignLine(JRDefaultStyleProvider defaultStyleProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `LineDirectionEnum` | `getDirectionValue()` Gets the line direction.
    `void` | `setDirection(LineDirectionEnum directionValue)` Sets the line direction.
    `void` | `setHeight(int height)`
    `void` | `setWidth(int width)`
    `void` | `visit(JRVisitor visitor)`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignGraphicElement

      `clone, getDefaultLineColor, getDefaultLineWidth, getFillValue, getLinePen, getOwnFillValue, setFill`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElement

      `addPropertyExpression, getPropertyExpressions, getPropertyExpressionsList, removePropertyExpression, removePropertyExpression, setElementGroup, setKey, setPrintWhenExpression, setPrintWhenGroupChanges, setStyle, setStyleNameReference, setUUID, setY`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `clone, clone, getBackcolor, getBaseStyle, getDefaultStyleProvider, getElementGroup, getEventSupport, getForecolor, getHeight, getKey, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getStretchTypeValue, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setX`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue, setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

- - ### Field Detail

    - #### directionValue

          protected LineDirectionEnum directionValue

  - ### Constructor Detail

    - #### JRDesignLine

          public JRDesignLine()

    - #### JRDesignLine

          public JRDesignLine(JRDefaultStyleProvider defaultStyleProvider)

  - ### Method Detail

    - #### setWidth

          public void setWidth(int width)

      Specified by:
        `setWidth` in interface `JRElement`
      Overrides:
        `setWidth` in class `JRBaseElement`

    - #### setHeight

          public void setHeight(int height)

      Overrides:
        `setHeight` in class `JRDesignElement`

    - #### getDirectionValue

          public LineDirectionEnum getDirectionValue()

      Description copied from interface: `JRLine`
      Gets the line direction.
      Specified by:
        `getDirectionValue` in interface `JRLine`
      Returns:
        a value representing one of the line direction constants in `LineDirectionEnum`

    - #### setDirection

          public void setDirection(LineDirectionEnum directionValue)

      Description copied from interface: `JRLine`
      Sets the line direction.
      Specified by:
        `setDirection` in interface `JRLine`
      Parameters:
        `directionValue` - a value representing one of the line direction constants in `LineDirectionEnum`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElement`

    - #### visit

          public void visit(JRVisitor visitor)

      Specified by:
        `visit` in interface `JRVisitable`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com